% Main script for getting the figures of the article "Incorporating User 
% Feedback Into One-Class Support Vector Machines for Anomaly Detection",
% by J. Lesouple and J.-Y. Tourneret, EUSIPCO 2020
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Julien Lesouple, Feb. 2020
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear 
close all
clc

% Put here the datasets you want to display
datasets={'abalone','ann_thyroid','cardiotocography','mammography','shuttle','yeast','toy2'};

data_processed = 0; % change to 1 if you have already processed the data, the whole datasets take few hours to be processed
if data_processed == 0
    process_datasets
end

plot_ftsize=20;

plot_boundary_evolution
plot_comp_datasets
plot_sv